// JavaScript Document

$(document).ready(function() {
	/*导航下拉二级菜单*/
	$(".nav li").hover(function(){
			$(this).addClass("on").siblings().removeClass();
			$(this).find(".subnav").show();
			$(this).siblings().find(".subnav").hide();
		},function(){
			$(this).removeClass();
			$(".subnav").hide();
		})
	
	/*导航悬浮*/
	var topNavH=$(".topNav").height();
	var header=$(".header")
	$(window).scroll(function(){
		if($(this).scrollTop()>topNavH){ 
			header.addClass("headFix"); 
		} 
		else{ 
			header.removeClass("headFix"); 
		} 
	})
	
	/*登陆框*/
	$(".loginTab li").click(function(){
		$(this).addClass("on").siblings().removeClass();
		$(".login .logbody").eq($(this).index()).show().siblings().hide();
	});
	$(".loginbox input").each(function(){
		var iptvalue=$(this).val();
		$(this).focus(function(){
			if(this.value==iptvalue){
			$(this).val("");}
		}).blur(function(){
			if(this.value == ""){
			$(this).val(iptvalue);}
		});
	})
	
	
	//焦点图
   
	
	//框
	$(".boxList li").hover(function(){
		$(this).addClass("on");
	},function(){
		$(this).removeClass("on");	
	});
	
	$(".boxLista li").hover(function(){
		$(this).addClass("on");
	},function(){
		$(this).removeClass("on");	
	});
	
	//分类切换
    $('.comtitle ul').each(function () {
        var t = $(this).children('li');
        t.click(function () {
            var m = $(this).addClass('on');
            m.siblings().removeClass('on');
            if (m.parent().parent().siblings('.boxList').length > 0) {
                m.parent().parent().siblings('.boxList').children("ul").hide().eq(t.index(this)).show();
            }
			else
			{
				m.parent().parent().siblings('.boxList').children("ul").hide().eq(t.index(this)).show();
			}
			if($(".sidenav ul").length==1){
				$(".sidenav li").eq($(this).index()).addClass("on").siblings().removeClass("on");
			}
			if($(".sidenav ul").length>1){
				$(".sidenav ul").eq($(this).parents(".wrap").index()-2).find("li").eq($(this).index()).addClass("on").siblings().removeClass("on");
            }
        }).eq(0).trigger("click");
    });
	//分类切换
    $('.comtitle3 ul').each(function () {
        var t = $(this).children('li');
        t.click(function () {
            var m = $(this).addClass('on');
            m.siblings().removeClass('on');
            if (m.parent().parent().siblings('.boxLista').length > 0) {
                m.parent().parent().siblings('.boxLista').children("ul").hide().eq(t.index(this)).show();
            }
			else
			{
				m.parent().parent().siblings('.boxLista').children("ul").hide().eq(t.index(this)).show();
			}
			if($(".sidenav ul").length==1){
				$(".sidenav li").eq($(this).index()).addClass("on").siblings().removeClass("on");
			}
			if($(".sidenav ul").length>1){
				$(".sidenav ul").eq($(this).parents(".wrap").index()-2).find("li").eq($(this).index()).addClass("on").siblings().removeClass("on");
            }
        }).eq(0).trigger("click");
    });
	//分类切换
    $('.comtitle4 ul').each(function () {
        var t = $(this).children('li');
        t.click(function () {
            var m = $(this).addClass('on');
            m.siblings().removeClass('on');
            if (m.parent().parent().siblings('.boxListt').length > 0) {
                m.parent().parent().siblings('.boxListt').children("ul").hide().eq(t.index(this)).show();
            }
			else
			{
				m.parent().parent().siblings('.boxListt').children("ul").hide().eq(t.index(this)).show();
			}
			if($(".sidenav ul").length==1){
				$(".sidenav li").eq($(this).index()).addClass("on").siblings().removeClass("on");
			}
			if($(".sidenav ul").length>1){
				$(".sidenav ul").eq($(this).parents(".wrap").index()-2).find("li").eq($(this).index()).addClass("on").siblings().removeClass("on");
            }
        }).eq(0).trigger("click");
    });
	
	//分类切换
    $('.comtitle2 ul').each(function () {
        var t = $(this).children('li');
        t.click(function () {
            var m = $(this).addClass('on');
            m.siblings().removeClass('on');
            if (m.parent().parent().siblings('.boxList').length > 0) {
                m.parent().parent().siblings('.boxList').children("ul").hide().eq(t.index(this)).show();
            }
			else
			{
				m.parent().parent().siblings('.boxList').children("ul").hide().eq(t.index(this)).show();
			}
			if($(".sidenav ul").length==1){
				$(".sidenav li").eq($(this).index()).addClass("on").siblings().removeClass("on");
			}
			if($(".sidenav ul").length>1){
				$(".sidenav ul").eq($(this).parents(".wrap").index()-2).find("li").eq($(this).index()).addClass("on").siblings().removeClass("on");
            }
        }).eq(0).trigger("click");
    });
	
	$(".hTitle li").click(function(){
		$(this).addClass("on").siblings().removeClass("on");
		$(".newslistBox ul").eq($(this).index()).show().siblings().hide();
	}).eq(0).trigger("click");
	
	$(".sidenav li").click(function(){
		$(this).addClass("on").siblings().removeClass("on");
		$(".boxList ul").eq($(this).index()).show().siblings().hide();

		if($(".sidenav ul").length==1){
			$(".comtitle li").eq($(this).index()).trigger("click");
		}
		else{
			$(".yuyue").eq(($(this).parents("ul").index()+1)/2-1).find(".comtitle").find("li").eq($(this).index()).trigger("click");
		}
				
	}).eq(0).trigger("click");
	
	
	
	
	/**
	 * 获取地址栏的参数
	 * @return {[string || object]}
	 */
	function getParams(f) {
		for (var a = [], d = location.search.substring(1).split("&"), e = d.length, g = []; e--;) g = d[e].split("="), a[g[0]] = unescape(g[1]);
		return f ? a[f] : a
	};
	
	var diji = parseInt(getParams("id")) || 1;
	(function(x) {
		$(".sidenav li").eq(x-1).trigger("click");
	})(diji);
	
})

var number=8; //定义条目数

function LMYC() {
var lbmc;
    for (i=1;i<=number;i++) {
        lbmc = eval('LM' + i);
        lbmc.style.display = 'none';
    }
}
 
function ShowFLT(i) {
    lbmc = eval('LM' + i);
    if (lbmc.style.display == 'none') {
        LMYC();
        lbmc.style.display = '';
    }
    else {
        lbmc.style.display = 'none';
    }
}